Bug 621364 - Memory test failed on RH6 certification
Memory test failed on RH6 certification
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
CAI Qian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 16:35 EDT by chau nguyen
Modified: 2010-09-21 05:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A memory test no longer fails on Red Hat Enterprise Linux 6 certification.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 08:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Memory test outpu (436 bytes, application/octet-stream)
2010-08-04 16:35 EDT, chau nguyen
no flags Details
Failed Memory Test (436 bytes, application/octet-stream)
2010-08-09 12:19 EDT, chau nguyen
no flags Details
df files of failled system (507 bytes, application/octet-stream)
2010-08-09 12:20 EDT, chau nguyen
no flags Details
Passed Memory Test (15.17 KB, application/octet-stream)
2010-08-09 12:21 EDT, chau nguyen
no flags Details
df files of passed system (515 bytes, text/plain)
2010-08-09 12:21 EDT, chau nguyen
no flags Details
Failed Memory Test On BL685G6 (436 bytes, application/octet-stream)
2010-08-09 14:46 EDT, chau nguyen
no flags Details
Failed Memory Test On BL685G6 df output (512 bytes, text/plain)
2010-08-09 14:46 EDT, chau nguyen
no flags Details
memory test patch to check for zero swap (1.30 KB, patch)
2010-08-17 14:44 EDT, Greg Nichols
no flags Details | Diff

  None (edit)
Description chau nguyen 2010-08-04 16:35:37 EDT
Created attachment 436661 [details]
Memory test outpu

Description of problem:
Memory test failed on RH6 certification

Version-Release number of selected component (if applicable):


How reproducible:
Install RH6 snapshot 8 
Install Test kit v7 version 7-1.2-14
Run Memory test 

Steps to Reproduce:
1. Install RH6 snapshot 8 
2. Install Test kit v7 version 7-1.2-14
3. Run Memory test and 

Actual results:
Fail

Expected results:
Pass

Additional info:
Configuration
System:  ML370 G7
System BIOS: P63 05/14/2010
OS:  Rathat 6 snapshot 8
Test version: v7-1.2.14

The test passed on v7-1.2-12 test kit.
Comment 1 Rob Landry 2010-08-04 17:13:56 EDT
The system appears to have no swap configured, is the issue repeatable if some swap is enabled?
Comment 2 chau nguyen 2010-08-04 17:28:50 EDT
We did default partition configuration during OS installation.  I don’t why OS did not create Swap partition.  Same system and same OS passed with previous build (V7-1.2-12).
Comment 3 chau nguyen 2010-08-09 12:18:42 EDT
Rob,
I have two systems that have same RH6 x64 snapshot 9, same test kit (v7-1.2-14) and use default partition configuration during OS install.  One system passed Memory test and other failed.  The log on passing system showed the test see swap partition.  Other, system did not see swap partition.  Please check the logs and df files for both systems.  Thank you
Comment 4 chau nguyen 2010-08-09 12:19:57 EDT
Created attachment 437637 [details]
Failed Memory Test
Comment 5 chau nguyen 2010-08-09 12:20:36 EDT
Created attachment 437639 [details]
df files of failled system
Comment 6 chau nguyen 2010-08-09 12:21:10 EDT
Created attachment 437640 [details]
Passed Memory Test
Comment 7 chau nguyen 2010-08-09 12:21:46 EDT
Created attachment 437641 [details]
df files of passed system
Comment 8 chau nguyen 2010-08-09 14:46:27 EDT
Created attachment 437676 [details]
Failed Memory Test On BL685G6
Comment 9 chau nguyen 2010-08-09 14:46:57 EDT
Created attachment 437677 [details]
Failed Memory Test On BL685G6 df output
Comment 11 Greg Nichols 2010-08-17 14:44:37 EDT
Created attachment 439187 [details]
memory test patch to check for zero swap
Comment 14 chau nguyen 2010-08-20 16:29:52 EDT
This test still failed with RH6 Snapshot 11 and v7-1.2-17 test kit.
Comment 15 Greg Nichols 2010-08-20 17:16:14 EDT
R17 adds a check for zero swap.    The storage test bug 621070 can leave the system in a state where it has no swap (This is fixed in R18).    Try checking via "swapon -s".    If there's no swap, try "swapon -a", and you may find that you need to run mkswap on the partition before the system will use it.
Comment 19 errata-xmlrpc 2010-09-20 08:14:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0702.html
Comment 20 Jaromir Hradilek 2010-09-21 05:45:41 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A memory test no longer fails on Red Hat Enterprise Linux 6 certification.

Note You need to log in before you can comment on or make changes to this bug.